Skip to Content
APIsPool Trades

Pool Trades

Get pool trades returns real-time or historical transactions for a pool.

Get Pool Trades

GEThttps://api.adesic.com/v2/dex/{exchange}/{blockchain}/pool/{pool}/trades

Returns an object of real-time or historical transactions for a pool on a decentralized exchange.

Path Parameters

NameTypeDescription
exchange*stringDecentralized exchange Id
blockchain*stringBlockchain that supports the decentralized exchange.
pool*stringPool contract address.

Query Parameters

NameTypeDescription
apiKey*stringYour Adesic API Key.
limitintNumber of results per request. Maximum 1,000 (default 100).
orderBystringSort the returned data by any field in the API response, such as id, name, symbol, volumeUSD and more.
orderDirectionstringasc or desc return the results sorted by that field in either ascending or descending order.
skipintNumber of results to skip per request.
swapbooleanSet to false to not return swap array.
mintbooleanSet to false to not return mint array.
burnbooleanSet to false to not return burn array.
tointThe end of the aggregate time window for historical data. Unix timestamp in milliseconds.
fromintThe start of the aggregate time window for historical data. Unix timestamp in milliseconds.
blockintThe blockchain block number for historical data.
success-response.json
{ "poolAddress": "0x88e6a0c2ddd26feeb64f039a2c41296fcb3f5640", "burns": [ { "id": "0x7258050fbb90fa41f73505c552a973113ffc87c67ddd19b37dff7adb6bded18e#3", "amount0": "2588.187276", "amount1": "0.931484249884373906", "amountUSD": "5856.678575459276743008030298541704", "logIndex": "122", "origin": "0xb2ef52180d1e5f4835f4e343251286fa84743456", "timestamp": "1620253661", "amount": "310565794229424", "owner": "0xc36442b4a4522e871399cd717abdd847ab11fe88" } ], "mints": [ { "id": "0x125e0b641d4a4b08806bf52c0c6757648c9963bcda8681e4f996f09e00d4c2cc#1", "amount0": "2995.507735", "amount1": "0.999999999871526563", "amountUSD": "6424.90529371289423696173129469554", "logIndex": "106", "origin": "0xb2ef52180d1e5f4835f4e343251286fa84743456", "timestamp": "1620250931", "amount": "345073104699360", "owner": "0xc36442b4a4522e871399cd717abdd847ab11fe88", "sender": "0xc36442b4a4522e871399cd717abdd847ab11fe88" } ], "swaps": [ { "id": "0x0804ff007263a885191f23c808a9346e62d502a1fc23be82eb14052408d76ae2#2", "amount0": "-119.744094", "amount1": "0.035", "amountUSD": "119.2881007156144668372176276273185", "logIndex": "73", "origin": "0x4a12b86c7c0270443760fe85c7d1e6bc62f78e4e", "timestamp": "1620252901", "recipient": "0xe592427a0aece92de3edee1f18e0157c05861564", "sender": "0xe592427a0aece92de3edee1f18e0157c05861564", "sqrtPriceX96": "1358206768703179146794161129278934" } ] }

Copy & Paste Code

curl-example.sh
curl -H "api-key: API KEY" https://api.adesic.com/v2/dex/uniswap/ethereum/pool/0x88e6a0c2ddd26feeb64f039a2c41296fcb3f5640/trades

Response Object

Example URL: https://api.adesic.com/v2/dex/uniswap/ethereum/pool/0x88e6a0c2ddd26feeb64f039a2c41296fcb3f5640/trades 

response-example.json
{ "poolAddress": "0x88e6a0c2ddd26feeb64f039a2c41296fcb3f5640", "burns": [ { "id": "0x7258050fbb90fa41f73505c552a973113ffc87c67ddd19b37dff7adb6bded18e#3", "amount0": "2588.187276", "amount1": "0.931484249884373906", "amountUSD": "5856.678575459276743008030298541704", "logIndex": "122", "origin": "0xb2ef52180d1e5f4835f4e343251286fa84743456", "timestamp": "1620253661", "amount": "310565794229424", "owner": "0xc36442b4a4522e871399cd717abdd847ab11fe88" } ], "mints": [ { "id": "0x125e0b641d4a4b08806bf52c0c6757648c9963bcda8681e4f996f09e00d4c2cc#1", "amount0": "2995.507735", "amount1": "0.999999999871526563", "amountUSD": "6424.90529371289423696173129469554", "logIndex": "106", "origin": "0xb2ef52180d1e5f4835f4e343251286fa84743456", "timestamp": "1620250931", "amount": "345073104699360", "owner": "0xc36442b4a4522e871399cd717abdd847ab11fe88", "sender": "0xc36442b4a4522e871399cd717abdd847ab11fe88" } ], "swaps": [ { "id": "0x0804ff007263a885191f23c808a9346e62d502a1fc23be82eb14052408d76ae2#2", "amount0": "-119.744094", "amount1": "0.035", "amountUSD": "119.2881007156144668372176276273185", "logIndex": "73", "origin": "0x4a12b86c7c0270443760fe85c7d1e6bc62f78e4e", "timestamp": "1620252901", "recipient": "0xe592427a0aece92de3edee1f18e0157c05861564", "sender": "0xe592427a0aece92de3edee1f18e0157c05861564", "sqrtPriceX96": "1358206768703179146794161129278934" } ] }

Response Attributes

Attribute NameData TypeDescription
poolAddressstringContract address of the pool.
burnsobjectTransaction type where tokens were burned or destroyed.
mintsobjectTransaction type where tokens were minted or created.
swapsobjectTransaction type where tokens were swapped or traded.
idstringTransaction hash + ”#” + index in Transaction array
amount0stringAmount of token 0
amount1stringAmount of token 1
amountUSDstringDerived amount based on available prices of tokens
logIndexstringPosition within the transactions
originstringTransaction origin
timestampstringTimestamp of the transaction.
amountstringamount of liquidity
ownerstringowner of the position
senderstringSender of the transaction
recipientstringRecipient of the transaction
sqrtPriceX96stringThe sqrt(price) of the pool after the swap, as a Q64.96

© Adesic LLC. All Rights Reserved